/**
 * Error class representing a specific error scenario where a user selects
 * an invalid or unsupported signature algorithm.
 *
 * This error is thrown when an API request is made with a signature
 * algorithm that is not present in the AlgorithmTypes enum.
 *
 * @extends {Error}
 */
export declare class InvalidSignatureError extends Error {
    constructor();
}
