"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingApiSecretError = void 0;
/**
 * Error class representing a specific error scenario where an API secret is
 * missing in the request.
 *
 * This error is thrown when an API request is made without providing the
 * necessary API secret for authentication.
 *
 * @extends {Error}
 */
class MissingApiSecretError extends Error {
    constructor() {
        super('Missing API Secret');
    }
}
exports.MissingApiSecretError = MissingApiSecretError;
