"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventType = void 0;
/**
 * Enum representing various types of events and their descriptions.
 */
var EventType;
(function (EventType) {
    /**
     * Audio: Play audio
     */
    EventType["AUDIO_PLAY"] = "audio:play";
    /**
     * Audio: Stop currently playing audio
     */
    EventType["AUDIO_PLAY_STOP"] = "audio:play:stop";
    /**
     * Audio: Use TTS to speak the given text
     */
    EventType["AUDIO_SAY"] = "audio:say";
    /**
     * Audio: Stop currently playing TTS
     */
    EventType["AUDIO_SAY_STOP"] = "audio:say:stop";
    /**
     * Audio: Play DTMF audio
     */
    EventType["AUDIO_DTMF"] = "audio:dtmf";
    /**
     * Audio: Record the audio in the conversation
     */
    EventType["AUDIO_RECORD"] = "audio:record";
    /**
     * Audio: Stop current recording of audio
     */
    EventType["AUDIO_RECORD_STOP"] = "audio:record:stop";
    /**
     * Audio: Mute audio
     */
    EventType["AUDIO_MUTE_ON"] = "audio:mute:on";
    /**
     * Audio: Unmute audio
     */
    EventType["AUDIO_MUTE_OFF"] = "audio:mute:off";
    /**
     * Audio: Earmuff audio
     */
    EventType["AUDIO_EAR_MUFF_ON"] = "audio:earmuff:on";
    /**
     * Audio: Earmuff audio
     */
    EventType["AUDIO_EAR_MUFF_OFF"] = "audio:earmuff:off";
    /**
     * Audio: Speaking on
     */
    EventType["AUDIO_SPEAKING_ON"] = "audio:speaking:on";
    /**
     * Audio: Speaking on
     */
    EventType["AUDIO_SPEAKING_OFF"] = "audio:speaking:off";
    /**
     * Custom: Custom event
     */
    EventType["CUSTOM"] = "custom";
    /**
     * Ephemeral: Ephemeral
     */
    EventType["EPHEMERAL"] = "ephemeral";
    /**
     * Message: Message (Text, Image, Audio, Video, File, Template, Custom, VCard, Location, Random)
     */
    EventType["MESSAGE"] = "message";
    /**
     * Message: Message submitted
     */
    EventType["MESSAGE_SUBMITTED"] = "message:submitted";
    /**
     * Message: Message rejected
     */
    EventType["MESSAGE_REJECTED"] = "message:rejected";
    /**
     * Message: Message undeliverable
     */
    EventType["MESSAGE_UNDELIVERABLE"] = "message:undeliverable";
    /**
     * Message: Message seen
     */
    EventType["MESSAGE_SEEN"] = "message:seen";
    /**
     * Message: Message delivered
     */
    EventType["MESSAGE_DELIVERED"] = "message:delivered";
})(EventType || (exports.EventType = EventType = {}));
