"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReasonCode = void 0;
/**
 * Enum representing various reasons
 */
var ReasonCode;
(function (ReasonCode) {
    /**
     * General failure.
     */
    ReasonCode["FAILED"] = "failed";
    /**
     * The recipient is currently busy.
     */
    ReasonCode["BUSY"] = "busy";
    /**
     * Operation timed out.
     */
    ReasonCode["TIMEOUT"] = "timeout";
    /**
     * The request was cancelled.
     */
    ReasonCode["CANCELLED"] = "cancelled";
    /**
     * The request was rejected.
     */
    ReasonCode["REJECTED"] = "rejected";
    /**
     * Operation was successful.
     */
    ReasonCode["OK"] = "ok";
    /**
     * Resource not found.
     */
    ReasonCode["NOT_FOUND"] = "not_found";
    /**
     * Request terminated.
     */
    ReasonCode["REQUEST_TERMINATED"] = "request_terminated";
    /**
     * Bad extension.
     */
    ReasonCode["BAD_EXTENSION"] = "bad_extension";
    /**
     * Recipient is busy here.
     */
    ReasonCode["BUSY_HERE"] = "busy_here";
    /**
     * Request timeout.
     */
    ReasonCode["REQUEST_TIMEOUT"] = "request_timeout";
    /**
     * Temporarily unavailable.
     */
    ReasonCode["TEMPORARILY_UNAVAILABLE"] = "temporarily_unavailable";
    /**
     * Forbidden access.
     */
    ReasonCode["FORBIDDEN"] = "forbidden";
    /**
     * Resource has gone away.
     */
    ReasonCode["GONE"] = "gone";
    /**
     * Bad gateway.
     */
    ReasonCode["BAD_GATEWAY"] = "bad_gateway";
    /**
     * Address incomplete.
     */
    ReasonCode["ADDRESS_INCOMPLETE"] = "address_incomplete";
    /**
     * Internal server error.
     */
    ReasonCode["SERVER_INTERNAL_ERROR"] = "server_internal_error";
    /**
     * Not implemented.
     */
    ReasonCode["NOT_IMPLEMENTED"] = "not_implemented";
    /**
     * Server timeout.
     */
    ReasonCode["SERVER_TIMEOUT"] = "server_timeout";
    /**
     * Version not supported.
     */
    ReasonCode["VERSION_NOT_SUPPORTED"] = "version_not_supported";
    /**
     * Service is unavailable.
     */
    ReasonCode["SERVICE_UNAVAILABLE"] = "service_unavailable";
    /**
     * Payment is required.
     */
    ReasonCode["PAYMENT_REQUIRED"] = "payment_required";
    /**
     * Call ended due to being banned.
     */
    ReasonCode["BANNED_CALL_ENDED"] = "banned_call_ended";
    /**
     * Flow execution failed.
     */
    ReasonCode["FLOW_FAILED"] = "flow_failed";
})(ReasonCode || (exports.ReasonCode = ReasonCode = {}));
;
