import { AbstractMessage } from './AbstractMessage';
import { MessageParamsAudio } from '../types';
import { MessageAudioType } from '../types';
/**
 * An abstract base class for audio messages.
 */
export declare abstract class AbstractAudioMessage extends AbstractMessage implements MessageParamsAudio {
    messageType: 'audio';
    audio: MessageAudioType;
    /**
     * Constructs a new `AbstractAudioMessage` instance.
     *
     * @param {MessageParamsAudio} params - The parameters for creating an audio message.
     */
    constructor(params: MessageParamsAudio);
}
