"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractVcardMessage = void 0;
const AbstractMessage_1 = require("./AbstractMessage");
/**
 * An abstract base class for vCard (contact card) message objects.
 */
class AbstractVcardMessage extends AbstractMessage_1.AbstractMessage {
    /**
     * Constructs a new `AbstractVcardMessage` instance for vCard messages.
     *
     * @param {MessageParamsVcard} params - The parameters for creating a vCard message.
     */
    constructor(params) {
        super(params);
        this.vcard = params.vcard;
        this.messageType = 'vcard';
    }
}
exports.AbstractVcardMessage = AbstractVcardMessage;
