"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Video = void 0;
const MessengerVideo_1 = require("./MessengerVideo");
const debug_1 = __importDefault(require("debug"));
const log = (0, debug_1.default)('vonage:messages:messenger');
/**
 * Represents a text message for the Messenger channel.
 *
 * @deprecated Please use the MessengerText class instead.
 *
 * @group Messenger
 */
class Video extends MessengerVideo_1.MessengerVideo {
    /**
     * Constructs a new `Text` instance.
     *
     * @param {VideoObject} video - The text content of the message.
     * @param {string} to - The recipient of the message.
     * @param {string} from - The sender of the message.
     * @param {MessageType} messenger - The messenger information for the message.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(video, to, from, messenger, clientRef) {
        log('Please update to use the MessengerVideo class instead');
        super({
            video: video,
            to: to,
            from: from,
            messenger: {
                category: messenger?.category,
                tag: messenger?.tag,
            },
            clientRef: clientRef,
        });
    }
}
exports.Video = Video;
