/**
 * Represents an image object.
 *
 * An image object typically includes a URL pointing to an image and an optional caption.
 *
 * @deprecated Please use types instead of interfaces.
 *
 * @ignore
 */
export interface ImageObject {
    /**
     * The URL of the image.
     */
    url: string;
    /**
     * An optional caption to accompany the image.
     */
    caption?: string;
}
