"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redact = void 0;
const server_client_1 = require("@vonage/server-client");
/**
 * Represents a client for the Redact API that extends the Vonage Client.
 */
class Redact extends server_client_1.Client {
    constructor() {
        super(...arguments);
        /**
           * The authentication type used for Redact API requests.
           */
        this.authType = server_client_1.AuthenticationType.BASIC;
    }
    /**
       * Redacts a specific message using the provided parameters.
       *
       * @param {TransactionParams} params - Parameters for redacting a message.
       * @return {Promise<void>} A Promise that resolves when the redaction is successful.
       *
       * @throws {Error} If there is an error in processing the redaction request.
       */
    async redactMessage(params) {
        await this.sendPostRequest(`${this.config.apiHost}/v1/redact/transaction`, params);
    }
}
exports.Redact = Redact;
