/**
 * Collection Formats for API Parameter Serialization.
 *
 * Defines various collection formats used for serializing API parameters.
 */
export declare const COLLECTION_FORMATS: {
    /**
     * Comma-separated values collection format.
     */
    csv: string;
    /**
     * Space-separated values collection format.
     */
    ssv: string;
    /**
     * Tab-separated values collection format.
     */
    tsv: string;
    /**
     * Pipe-separated values collection format.
     */
    pipes: string;
};
