"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeEnum = void 0;
/**
 * Enumeration representing possible message types for SMS.
 *
 * Defines different message types that can be associated with SMS messages.
 */
var TypeEnum;
(function (TypeEnum) {
    /**
     * Text: The message body contains standard text.
     */
    TypeEnum["TEXT"] = "text";
    /**
     * Binary: The message body is in binary format.
     */
    TypeEnum["BINARY"] = "binary";
    /**
     * Unicode: The message body is URL-encoded Unicode, valid for various character sets.
     */
    TypeEnum["UNICODE"] = "unicode";
})(TypeEnum || (exports.TypeEnum = TypeEnum = {}));
