"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PSD2 = void 0;
/**
 * Represents parameters for a PSD2 (Payment Services Directive 2) verification
 * request.
 */
class PSD2 {
    constructor(phoneNumber, payee, amount, country, codeLength, language, lg, pinExpiry, nextEventWait, workflowId) {
        this.number = phoneNumber;
        this.amount = amount;
        this.payee = payee;
        if (country) {
            this.country = country;
        }
        if (codeLength) {
            this.codeLength = codeLength;
        }
        if (language) {
            this.lg = language;
            this.language = language;
        }
        if (pinExpiry) {
            this.pinExpiry = pinExpiry;
        }
        if (nextEventWait) {
            this.nextEventWait = nextEventWait;
        }
        if (workflowId) {
            this.workflowId = workflowId;
        }
    }
}
exports.PSD2 = PSD2;
