"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchStatus = void 0;
/**
 * Enum representing the status of a Verify search request.
 */
var SearchStatus;
(function (SearchStatus) {
    /**
     * The search is still in progress.
     */
    SearchStatus["IN_PROGRESS"] = "IN PROGRESS";
    /**
     * Your user entered a correct verification code.
     */
    SearchStatus["SUCCESS"] = "SUCCESS";
    /**
     * Your user entered an incorrect code more than three times.
     */
    SearchStatus["FAILED"] = "FAILED";
    /**
     * Your user did not enter a code before the pin_expiry time elapsed.
     */
    SearchStatus["EXPIRED"] = "EXPIRED";
    /**
     * The verification process was canceled by a Verify control request.
     */
    SearchStatus["CANCELLED"] = "CANCELLED";
})(SearchStatus || (exports.SearchStatus = SearchStatus = {}));
