"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Resolution = void 0;
/**
 * Enum representing different video resolutions for live streaming broadcasts.
 */
var Resolution;
(function (Resolution) {
    /**
     * Full HD landscape resolution (1920x1080 pixels).
     */
    Resolution["FHD_LANDSCAPE"] = "1920x1080";
    /**
     * Full HD portrait resolution (1080x1920 pixels).
     */
    Resolution["FHD_PORTRAIT"] = "1080x1920";
    /**
     * HD landscape resolution (1280x720 pixels).
     */
    Resolution["HD_LANDSCAPE"] = "1280x720";
    /**
     * HD portrait resolution (720x1280 pixels).
     */
    Resolution["HD_PORTRAIT"] = "720x1280";
    /**
     * Standard definition landscape resolution (640x480 pixels).
     */
    Resolution["SD_LANDSCAPE"] = "640x480";
    /**
     * Standard definition portrait resolution (480x640 pixels).
     */
    Resolution["SD_PORTRAIT"] = "480x640";
})(Resolution || (exports.Resolution = Resolution = {}));
