import { PhoneEndpointObject } from '../interfaces/Endpoint/PhoneEndpointObject';
import { CallEndpoint } from '../types';
import { OutboundCall } from './OutboundCall';
/**
 * Represents an outbound call with an answer URL.
 *
 * @deprecated This class is deprecated. Please update to use the CallWithAnswerURL type
 */
export declare class OutboundCallWithAnswerURL extends OutboundCall {
    /**
     * The list of answer URLs.
     */
    answer_url: string[];
    /**
     * The list of answer URLs.
     *
     * @deprecated Use `answer_url` instead.
     */
    answerUrl: string[];
    /**
     * Creates a new outbound call with an answer URL.
     *
     * @param {string} answerUrl - The answer URL for the call.
     * @param {CallEndpoint} to - The call endpoint to which the outbound call will be made.
     * @param {PhoneEndpointObject} [from] - The phone endpoint object representing the caller's information.
     */
    constructor(answerUrl: string, to: CallEndpoint, from?: PhoneEndpointObject);
}
